Skip to content
Start here

Add Custom Scan Expressions

client.contentScanning.payloads.create(PayloadCreateParams { zone_id, body } params, RequestOptionsoptions?): SinglePage<PayloadCreateResponse { id, payload } >
POST/zones/{zone_id}/content-upload-scan/payloads

Add custom scan expressions for Content Scanning.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone WAF WriteAccount WAF Write
ParametersExpand Collapse
params: PayloadCreateParams { zone_id, body }
zone_id: string

Path param: Defines an identifier.

maxLength32
body: Array<Body>

Body param

payload: string

Defines the ruleset expression to use in matching content objects.

ReturnsExpand Collapse
PayloadCreateResponse { id, payload }

Defines a custom scan expression to match Content Scanning on.

id?: string

defines the unique ID for this custom scan expression.

maxLength32
payload?: string

Defines the ruleset expression to use in matching content objects.

Add Custom Scan Expressions

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const payloadCreateResponse of client.contentScanning.payloads.create({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  body: [{ payload: 'lookup_json_string(http.request.body.raw, "file")' }],
})) {
  console.log(payloadCreateResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}